## ahven 2.6

=== Makefile ===
#
# Copyright (c) 2007-2014 Tero Koskinen <tero.koskinen@iki.fi>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

OPTS?="GNAT_BUILDER=gnatmake" OS_VERSION=unix

default: base

all:
	cd gnat && $(MAKE) $(OPTS) all

check:
	cd gnat && $(MAKE) $(OPTS) check

check_xml:
	cd gnat && $(MAKE) $(OPTS) check_xml

check_tap:
	cd gnat && $(MAKE) $(OPTS) check_tap


html:
	cd gnat && $(MAKE) html

install:
	cd gnat && $(MAKE) $(OPTS) install

base:
	cd gnat && $(MAKE) $(OPTS) base

clean:
	cd gnat && $(MAKE) $(OPTS) clean

README.html: README.rst
	rst2html --stylesheet-path=css/html4css1.css,css/my-docutils.css README.rst > README.html

control:
	rm -f objects/*.adt objects/*.ali
	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs] ../src/unix/*.ad[bs]
	rm -f objects/*.adt objects/*.ali

=== gnat/Makefile ===
include comfignat.mk

build_GPRs = build_ahven.gpr
usage_GPRs = ahven.gpr

html: ${stage_miscdocdir}/ahven/
	${MAKE} html --directory=${srcdir}/../doc/manual/en BUILDDIR=${objdir}/sphinx
	cp -RHpf ${objdir}/sphinx/html ${stage_miscdocdir}/ahven

build: html

tests: base ahven_tests.gpr
	${build_GPR}

${stage_miscdocdir}/ahven:
	mkdir -p ${stage_miscdocdir}/ahven

check: tests
	./tester -c

check_xml: tests
	-mkdir -p results
	./tester -c -x -s .Test -d results

check_tap: tests
	./tap_tester

clean::
	rm -f ${builddir}/*tester

=== doc/manual/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDDIR)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
ahven (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat-7. Closes: #849985.
    Rename runtime and -dev with new SO and ALI versions.
    The lintian warning about executable stack is obsolete with gcc-7.
  * Disable failing build tests. Closes: #870323.
  * Make runtime library package Multi-Arch: same.
  * Enable all hardening flags.
  * Install ahven.gpr to new Debian project path /usr/share/gpr.
  * Documentation
    - README.Debian referencing Debian Ada policy and online documentation.
    - Drop README.source, upstream tarball contains no doc/manual/build.
    - Register tutorial in doc-base.
    - Move ROADMAP to -dev package instead of the runtime package.
  * QA
    - Remove many explicit ALI, SO or gnat versions to ease upgrades.
    - Standards-Version: 4.0.1 (no changes).
    - Debhelper 10. Replace --fail-missing deprecated option.
    - Switch watch file to version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2017 15:01:03 +0200

ahven (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use versioned dev-package as per Debian Ada policy.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Jul 2016 19:38:51 +0200

ahven (2.6-1) unstable; urgency=medium

  * Adjust URL in watch file
  * Imported Upstream version 2.6
  * Transition to gnat-6 compiler (Closes: #830409)
  * Drop obsolete Conflicts/Replaces
  * Update binary package names
  * Switch Vcs-* URLs to HTTPS
  * Update to debhelper 9
  * Update to Standards-Version 3.9.8
  * Switch to comfignat build functionality
  * Rediff patches
  * Add link-with-shared autopkgtest
  * Drop explicit ahven-dbg package

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jul 2016 09:23:47 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 10),
 gnat, gnat-7
# This line is parsed by debian/rules.
Standards-Version: 4.0.1
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git

Package: libahven6-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libahven27 (= ${binary:Version}), gnat, gnat-7
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: libahven27
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

=== debian/rules ===
#!/usr/bin/make -f

# Parse debian/control once to extract all values we need.
# Replace eval with error to debug.
$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\)$$/          gnat_version:=\1             /p;\
  s/^Package: \(libahven\([0-9.]\+\)\)$$/ lib_pkg:=\1      VERSION:=\2 /p;\
  s/^Package: \(libahven[0-9.]\+-dev\)$$/ dev_pkg:=\1                  /p\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

export VERSION
export GNAT_BUILDER=gnatmake
export GNAT_BUILDER_FLAGS=$(BUILDER_OPTIONS)

BDIR := gnat/obj

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) -C gnat -- configure builddir=../$(BDIR)/dynamic library_type=dynamic prefix=/usr
	$(MAKE) -C gnat -- configure builddir=../$(BDIR)/static library_type=static prefix=/usr
	$(MAKE) -C $(BDIR)/dynamic base
	$(MAKE) -C $(BDIR)/static base

installed_project := debian/ahven.gpr
override_dh_auto_build: $(installed_project)
$(installed_project): debian/template_ahven.gpr
	sed s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/ $< > $@

override_dh_auto_build: debian/doc-base.ahven-tutorial
debian/doc-base.ahven-tutorial: debian/template_doc-base.ahven-tutorial
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Disable tests until #870323 is fixed.
#	$(MAKE) -C $(BDIR)/dynamic check LD_LIBRARY_PATH=stage/usr/lib
endif

override_dh_auto_install:
	$(MAKE) -C $(BDIR)/dynamic DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C $(BDIR)/static DESTDIR=$(CURDIR)/debian/tmp install

override_dh_install:
	dh_install -p$(lib_pkg) usr/lib/libahven.so.$(VERSION) usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/libahven.a             usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/libahven.so            usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) usr/lib/ahven                  usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib
	dh_install -p$(dev_pkg) usr/include/ahven usr/share/ada/adainclude
	dh_install -p$(dev_pkg) $(installed_project) usr/share/gpr
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs -p$(dev_pkg) doc/tutorial ROADMAP
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -p$(dev_pkg) examples/* contrib/docbook-testreport

override_dh_installchangelogs:
	dh_installchangelogs --all NEWS

override_dh_compress:
	dh_compress -p$(dev_pkg) -X.ads -X.adb -XMakefile
	dh_compress --remaining-packages

=== debian/watch ===
version=4
http://www.ahven-framework.com/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## ahven 2.7

=== debian/changelog ===
ahven (2.7-3) experimental; urgency=medium

  * Rebuild with GCC-9. Rename library and -dev package accordingly.
  * Add link warnings, remove --as-needed (now the default).
  * Debhelper 12 (does not compress examples). Standards-Version 4.4.1.
  * Add paragraph for public-domain pseudo-license.
  * Add explicit doc-main-package for debhelper.
  * Drop obsolete conflicts.
  * Update variable name in autopkgtests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 Nov 2019 17:24:51 +0100

ahven (2.7-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:38 +0200

ahven (2.7-1) experimental; urgency=medium

  * New upstream release.
  * Fix copyright file. Closes: #904431.
  * Let the new -doc package Break/Replace previous -dev packages,
    because it has taken over the tutorial. Closes: #904504.
  * Standards-Version: 4.2.0. Stop installing NEWS as changelog.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Aug 2018 14:07:29 +0200

ahven (2.7~1-1) experimental; urgency=medium

  * Rebuild with gnat-8. Closes: #903036.
    Rename library (soversion) and -dev (aliversion) packages per Ada policy.
  * Package upstream 2.7 snapshot: mercurial revision 6c0f7ff38c60.
    Build-Depend: gprbuild, gnat has dropped support for .gpr files.
    Remove Library_Interface so that shared lib works with sources visible.
    Build and install user manual, now that it only requires sphinx.
  * Add a documentation package. Split Build-Depends into -Arch and -Indep.
  * Make test logs more verbose, check Library_Interface removal.
  * Switch to debhelper 11 (no changes).
  * Standards-Version 4.1.5. Rules-Requires-Root: no.
  * Update Homepage URL.
  * Make flow and value of build flags visible in logs.
  * Use dh_ada_library.
  * Add me to uploaders.
  * Reenable test for dynamic library, #870323 is fixed.
  * Use HTTPS in watch file.
  * Move LDFLAGS like -z relro before library options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Jul 2018 10:46:43 +0200

=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 gnat, gnat-9,
# This line is parsed by debian/rules.
# gnat-BV provides a Makefile snippet included by debian/rules.
Build-Depends-Arch:
 dh-ada-library,
 gprbuild,
Build-Depends-Indep:
 python3-sphinx,
 sphinx-common,
# for dh_sphinxdoc
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://www.ahven-framework.com/
Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git

Package: libahven8-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libahven-doc
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: libahven29
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Breaks: libahven4-dev, libahven5-dev, libahven6-dev
Replaces: libahven4-dev, libahven5-dev, libahven6-dev
# The tutorial file has moved from libahven6-dev to the new libahven-doc.
Description: Unit test library for Ada (documentation)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Parse debian/control once to extract all values we need.
# Replace eval with error to debug.
$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/         gnat_version:=\1             /p;\
  s/^Package: libahven\([0-9.]\+\)$$/     ahven_soversion:=\1          /p;\
  ' debian/control),$(eval $(line)))

doc_pkg := libahven-doc

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

conf_args := \
  GNAT_BUILDER=gprbuild \
  GNAT_BUILDER_FLAGS='$(BUILDER_OPTIONS) -Xahven_soversion=$(ahven_soversion)' \
  $(foreach v,ADAFLAGS LDFLAGS,$(v)='$($(v))')

%:
	dh ${@}

override_dh_auto_configure:
	$(MAKE) configure builddir=../obj-dynamic library_type=dynamic $(conf_args)
	$(MAKE) configure builddir=../obj-static library_type=static $(conf_args)
	$(MAKE) configure builddir=../obj-docs $(conf_args)

override_dh_auto_build-arch:
	dh_auto_build -- -C obj-dynamic
	dh_auto_build -- -C obj-static
override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	SPHINXOPTS=-j$(BUILDER_JOBS) dh_auto_build -- -C obj-docs docs
endif

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=stage/usr/local/lib dh_auto_test -- -C obj-dynamic
endif
override_dh_auto_test-indep:

override_dh_auto_install:

override_dh_auto_clean:
	rm -fr obj-dynamic obj-static obj-docs
	rm -f gnat_linux/comfignat.gpr

# Mimic 'dh --with ada-library', but without adding dh-ada-library to
# Build-Depends.
# dh_ada_library has no -aP option.
override_dh_install-arch:
	dh_install -a
	cp -f obj-dynamic/comfignat.gpr gnat_linux
	dh_ada_library OS_VERSION=unix gnat_linux/build_ahven.gpr
	rm gnat_linux/comfignat.gpr

# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
# Build-Depends for arch-only builds.
override_dh_installdocs-indep:
	dh_installdocs --package=$(doc_pkg) --doc-main-package=$(doc_pkg)
	dh_sphinxdoc

# An explicit main package prevents a warning.
override_dh_installexamples-indep:
	dh_installexamples --package=$(doc_pkg) --doc-main-package=$(doc_pkg)

=== debian/watch ===
version=4
https://www.ahven-framework.com/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## ahven 2.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2007-2014 Tero Koskinen <tero.koskinen@iki.fi>
+# Copyright (c) 2007-2016 Tero Koskinen <tero.koskinen@iki.fi>
 #
 # Permission to use, copy, modify, and distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -13,35 +13,23 @@
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
+#
+# This Makefile is meant for Linux systems and uses
+# comfignat.mk settings from gnat_linux/ directory.
+#
+# For more simple build process, use GNAT project files
+# directly from gnat/ directory.
+#
 
-OPTS?="GNAT_BUILDER=gnatmake" OS_VERSION=unix
+# By default, invoke Comfignat's default goal, which builds and stages the
+# library, including the usage project file, but not the documentation.
+default:
+	${MAKE} --directory=gnat_linux
 
-default: base
-
-all:
-	cd gnat && $(MAKE) $(OPTS) all
-
-check:
-	cd gnat && $(MAKE) $(OPTS) check
-
-check_xml:
-	cd gnat && $(MAKE) $(OPTS) check_xml
-
-check_tap:
-	cd gnat && $(MAKE) $(OPTS) check_tap
-
-
-html:
-	cd gnat && $(MAKE) html
-
-install:
-	cd gnat && $(MAKE) $(OPTS) install
-
-base:
-	cd gnat && $(MAKE) $(OPTS) base
-
-clean:
-	cd gnat && $(MAKE) $(OPTS) clean
+# Any goal that isn't named here is delegated to gnat_linux/Makefile.
+# Variables defined on the command line are passed along.
+%:
+	${MAKE} --directory=gnat_linux $@
 
 README.html: README.rst
 	rst2html --stylesheet-path=css/html4css1.css,css/my-docutils.css README.rst > README.html

=== gnat_linux/Makefile ===
GNAT_BUILDER ?= gnatmake

include comfignat.mk

export OS_VERSION ?= unix

build_GPRs = build_ahven.gpr
usage_GPRs = ahven.gpr

options = development_build
development_build = false

html: ${stage_miscdocdir}/ahven/
	${MAKE} html --directory=${srcdir}/../doc/manual/en BUILDDIR=${objdir}/sphinx
	cp -RHpf ${objdir}/sphinx/html ${stage_miscdocdir}/ahven

docs: html

# The documentation is built as part of make all, but not in the default build.
all: html

tests: base ahven_tests.gpr
	${build_GPR}

${stage_miscdocdir}/ahven:
	mkdir -p ${stage_miscdocdir}/ahven

check: tests
	./tester -c

check_xml: tests
	-mkdir -p results
	./tester -c -x -s .Test -d results

check_tap: tests
	./tap_tester

clean::
	rm -f ${builddir}/*tester

=== debian/changelog ===
ahven (2.8-9) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:24:47 +0000

ahven (2.8-8) experimental; urgency=medium

  * Rename the library package with a new shared object version.
  * Build in experimental with dh-ada-library >= 9.1 and gnat >= 13.1.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Remove override for doc main package, now guessed correctly.
  * Remove obsolete stuff from control file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 Dec 2023 21:57:07 +0000

ahven (2.8-7) unstable; urgency=medium

  * Break/Replace libahven*-dev since oldstable. Closes: #1035011.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 10:43:00 +0200

ahven (2.8-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 00:42:54 +0100

ahven (2.8-5) experimental; urgency=medium

  * Build with gcc-12, rename the -dev package but not the shared library
  * Adapt to dh-ada-library 8.1
  * Standards-Version: 4.6.1
  * Prefer execute_before to override/remaining-packages
  * Add note about patches/no-library-interface.diff forwarding
  * Add upstream/metadata

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 30 Aug 2022 19:39:33 +0200

ahven (2.8-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 20:23:32 +0200

ahven (2.8-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:25:11 +0200

ahven (2.8-2) experimental; urgency=medium

  * Rebuild with gnat-11 in experimental. Rename -dev package accordingly.
  * Adapt to new unversioned debian_packaging.mk.
  * Standards-Version: 4.6.0, no changes.
  * Remove obsolete package conflicts.
  * Drop obsolete version restriction in build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Oct 2021 09:25:50 +0000

ahven (2.8-1) unstable; urgency=medium

  * New upstream release (only build system updates).
  * Upload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:24:54 +0100

ahven (2.7-5) experimental; urgency=medium

  * Use debhelper 12 dh-sequence syntax, move gnat to Build-Depends-Arch
  * Drop patch sorting ldflags, forwarded and not required
  * Debhelper 13
  * Pass build flags via the environment
  * Fix copyright years
  * Build with gnat-10, rename lib and -dev accordingly
  * Simplify project path in call to dh-ada-library
  * Link the shared library with LDFLAGS

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 21:45:22 +0000

ahven (2.7-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition. Closes: #952693.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 28 Feb 2020 23:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,31 @@
 Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- gnat, gnat-9,
-# This line is parsed by debian/rules.
-# gnat-BV provides a Makefile snippet included by debian/rules.
+ debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library,
- gprbuild,
+# Ensure a version with gnat versions in ada:Depends:
+ dh-ada-library (>= 9.1),
+# This one triggers a debhelper add-on:
+ dh-sequence-ada-library,
+# Ensure a version where gnat-N provides gnat-N-hash.
+ gnat (>= 13.1),
+# gprbuild compatible with dh-ada-library and gnat-10:
+ gprbuild (>= 2021.0.0.0778b109-2),
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-sphinx,
- sphinx-common,
-# for dh_sphinxdoc
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.ahven-framework.com/
 Vcs-Browser: https://git.codelabs.ch/?p=debian/ahven.git
 Vcs-Git: https://git.codelabs.ch/git/debian/ahven.git
 
-Package: libahven8-dev
+Package: libahven-dev
+Breaks: libahven7-dev, libahven8-dev, libahven9-dev, libahven10-dev,
+ libahven11-dev
+Replaces: libahven7-dev, libahven8-dev, libahven9-dev, libahven10-dev,
+ libahven11-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -35,8 +42,7 @@
  .
  This package contains the development files.
 
-Package: libahven29
-# This line is parsed by debian/rules.
+Package: libahven31
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -53,9 +59,6 @@
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
-Breaks: libahven4-dev, libahven5-dev, libahven6-dev
-Replaces: libahven4-dev, libahven5-dev, libahven6-dev
-# The tutorial file has moved from libahven6-dev to the new libahven-doc.
 Description: Unit test library for Ada (documentation)
  Ahven is a simple unit test library for the Ada 95 programming language. It
  is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is

=== debian/rules ===
#!/usr/bin/make -f

doc_pkg := libahven-doc

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard means: not during -indep builds.

conf_args := \
  GNAT_BUILDER=gprbuild \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS) -Xahven_soversion=$(ahven_SO_VERSION)' \
  includedir=/$(DEB_ADA_SOURCE_DIR) \
  libdir=/$(DEB_LIB_DIR) \
  alidir=/$(DEB_ADA_LIB_INFO_DIR) \
  gprdir=/$(DEB_GNAT_PROJECT_DIR) \
  miscdocdir=/usr/share/doc \
  $(DEB_BUILD_OPTION_PARALLEL:%=SPHINXOPTS=-j%) \
  DESTDIR=$(CURDIR)/debian/tmp \
  # EOL

%:
	dh ${@}

override_dh_auto_configure-arch:
	$(MAKE) configure builddir=../obj-dynamic library_type=dynamic $(conf_args)
	$(MAKE) configure builddir=../obj-static library_type=static $(conf_args)

override_dh_auto_configure-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) configure builddir=../obj-docs $(conf_args)
endif

override_dh_auto_build-arch:
	$(MAKE) -C obj-dynamic
	$(MAKE) -C obj-static

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C obj-docs docs
endif

override_dh_auto_test-arch:
	LD_LIBRARY_PATH=stage/$(DEB_LIB_DIR) $(MAKE) -C obj-dynamic check

override_dh_auto_test-indep:

override_dh_auto_install-arch:
	$(MAKE) -C obj-dynamic install
  # May comfignat install the sources too?
	install -m644 -Dtdebian/tmp/$(DEB_ADA_SOURCE_DIR)/ahven \
	  src/ahven*.ad[bs] src/unix/ahven_compat.ad[bs]
  # May comfignat install the static archive only?
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) \
	  obj-static/stage/$(DEB_LIB_DIR)/libahven.a

override_dh_auto_install-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C obj-docs install
  # Rename the User Guide here. dh_installdocs cannot rename, and
  # dh_install would complain with the nodoc profile.
	cd debian/tmp/usr/share/doc/ahven && mv html ug
endif

override_dh_auto_clean:
	rm -fr obj-dynamic obj-static obj-docs
	rm -f gnat_linux/comfignat.gpr
